Open CASCADE Technology: BRepOffsetAPI_MiddlePath Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepOffsetAPI_MiddlePath Class Reference

Describes functions to build a middle path of a pipe-like shape. More...

`#include <BRepOffsetAPI_MiddlePath.hxx>`

Inheritance diagram for BRepOffsetAPI_MiddlePath:
[legend]

## Public Member Functions
| BRepOffsetAPI_MiddlePath (const TopoDS_Shape &aShape, const TopoDS_Shape &StartShape, const TopoDS_Shape &EndShape)
| General constructor. StartShape and EndShape may be a wire or a face. More...
virtual void | Build ()
| This is called by Shape(). It does nothing but may be redefined. More...
Public Member Functions inherited from BRepBuilderAPI_MakeShape
virtual void | Delete ()
virtual | ~BRepBuilderAPI_MakeShape ()
const TopoDS_Shape & | Shape () const
| Returns a shape built by the shape construction algorithm. Raises exception StdFail_NotDone if the shape was not built. More...
| operator TopoDS_Shape () const
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &S)
| Returns the list of shapes generated from the shape <S>. More...
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &S)
| Returns the list of shapes modified from the shape <S>. More...
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &S)
| Returns true if the shape S has been deleted. More...
Public Member Functions inherited from BRepBuilderAPI_Command
virtual | ~BRepBuilderAPI_Command ()
virtual Standard_Boolean | IsDone () const
void | Check () const
| Raises NotDone if done is false. More...

## Additional Inherited Members
Protected Member Functions inherited from BRepBuilderAPI_MakeShape
| BRepBuilderAPI_MakeShape ()
Protected Member Functions inherited from BRepBuilderAPI_Command
| BRepBuilderAPI_Command ()
| Set done to False. More...
void | Done ()
| Set done to true. More...
void | NotDone ()
| Set done to false. More...
Protected Attributes inherited from BRepBuilderAPI_MakeShape
TopoDS_Shape | myShape
TopTools_ListOfShape | myGenerated

## Detailed Description

Describes functions to build a middle path of a pipe-like shape.

## Constructor & Destructor Documentation

BRepOffsetAPI_MiddlePath::BRepOffsetAPI_MiddlePath | ( | const TopoDS_Shape & | aShape,
|  | const TopoDS_Shape & | StartShape,
|  | const TopoDS_Shape & | EndShape
| ) |  |

General constructor. StartShape and EndShape may be a wire or a face.

## Member Function Documentation

virtual void BRepOffsetAPI_MiddlePath::Build | ( |  | ) |
| virtual

This is called by Shape(). It does nothing but may be redefined.

Reimplemented from BRepBuilderAPI_MakeShape.

The documentation for this class was generated from the following file:

- BRepOffsetAPI_MiddlePath.hxx